# include	<stdio.h>
# include	<stdlib.h>
# include	<math.h>

# include	"degtrig.h"
# include	"tidevect.h"

char *mnames[] = { "Jan", "Feb", "Mar", "Apr", "May", "Jun",
		   "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" };
int mlengths[] = { 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 };

static void	usage( void );
static void	showvect( Vector v );

int
main( int argc, char *argv[] )
{
	char	*mname;
	int	y, m, d;
	Factors	*fptr;

	if (argc != 3) {
		usage();
		return -1;
	}

	m = atoi(argv[1]);
	y = atoi(argv[2]);
	mname = mnames[m-1];
	if ((y & 0x03) == 0) mlengths[1] = 29;

	printf("%s %2d:\t   M2\t\t   S2\t\t   K1\t\t   O1\n", mname, y);
	printf("\t A    F\t\t A    F\t\t A    F\t\t A    F\n");

	for (d = 1; d <= mlengths[m-1]; d++) {
		printf("%2d:\t", d);
		fptr = mkfactors(0.0, d, m, y);

		showvect(fptr->m2);
		putchar('\t');
		showvect(fptr->s2);
		putchar('\t');
		showvect(fptr->k1);
		putchar('\t');
		showvect(fptr->o1);
		putchar('\n');

		if ((d & 0x03) == 0)
			printf("\n");
	}

	return 0;
}

static void
showvect( Vector v )
{
	double	r, R;

	r = arctan2(v.t_sine, v.t_cosine);
	R = sqrt(v.t_sine*v.t_sine + v.t_cosine*v.t_cosine);

	/* tables count the other way around */
	if (r != 0.0)
		r = 360.0 - r;

	printf("%03d  %4.2f", ( int ) r, R);
	return;
}

static void
usage( void )
{

	printf("Usage: angles <mm> <yy>\n");
	return;
}
