# include	<stdio.h>
# include	<stdlib.h>
# include	<math.h>

# include	"degtrig.h"
# include	"tidevect.h"

char *mnames[] = { "Jan", "Feb", "Mar", "Apr", "May", "Jun",
		   "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" };
int mlengths[] = { 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 };

static void	usage( void );

int
main( int argc, char *argv[] )
{
	char	*mname;
	int	y, m, d;
	Factors	*fptr;

	if (argc != 3) {
		usage();
		return -1;
	}

	m = atoi(argv[1]);
	y = atoi(argv[2]);
	mname = mnames[m-1];
	if ((y & 0x03) == 0) mlengths[1] = 29;

	/* if debugging, print header label */
	printf("%s %2d:\t", mname, y);
	fhddr();

	for (d = 1; d <= mlengths[m-1]; d++) {
		printf("%2d:\t", d);
		fptr = mkfactors(0.0, d, m, y);

		if ((d & 0x03) == 0)
			printf("\n");
	}

	return 0;
}

static void
usage( void )
{

	printf("Usage: astro <mm> <yy>\n");
	return;
}
